apache httpd 다운로드

아파치 웹 서버 (“아파치”)는 1995에서 시작 되었으며,이는 4 월 1996 이후로 인터넷에서 가장 인기 있는 웹서버가 되었다. 그것은 2 월 2015에서 프로젝트로 20 생일을 축 하 했다. 실행 하는 경우, 아파치는 로그 디렉토리와 모든 구성 된 캐시 디렉토리 트리에 대 한 쓰기 액세스 권한이 필요 합니다. 대소 문자를 구분 하 고 짧은 8.3 형식 이름의 문제로 인해 아파치는 주어진 모든 경로 이름을 확인 해야 합니다. 즉, Apache가 평가 하는 각 디렉터리는 드라이브 루트에서 디렉터리 리프까지 읽기, 목록 및 트래버스 디렉터리 권한이 있어야 합니다. 아파치 2.4는 C:Program 파일에 설치 되어있는 경우, 다음 루트 디렉토리, 프로그램 파일과 아파치 2.4 모두 아파치를 볼 수 있어야 합니다. OpenSSL 1.1.1을 사용 하 여 TLS 1.3 웹 서버를 운영 하기 위해서는 Apache HTTP 서버 버전이 2.4.39 이상 필요 합니다. 설치 하려는 서비스의 이름을 지정 해야 하는 경우 다음 명령을 사용 합니다. 당신은 당신의 컴퓨터에 아파치 여러 다른 서비스 설치를 하는 경우이 작업을 수행 해야. 설치 하는 동안 이름을 지정 하는 경우 다른-k 작업 중에도 지정 해야 합니다. 아파치는 실행 하 고, 제어 C를 눌러 중지 될 때까지 실행 유지 됩니다. 이 문서에서는 Unix 및 Unix와 유사한 시스템 에서만 Apache HTTP 서버를 편집 하 고 설치 하는 방법을 다룹니다. Windows에서 컴파일하고 설치 하려면 Microsoft windows에서 Apache HTTP 서버 사용 및 Microsoft Windows 용 아파치 컴파일하기를 참조 하십시오.

다른 플랫폼에 대해서는 플랫폼 설명서를 참조 하십시오. 커맨드 라인 스위치로 아파치 서비스를 제어할 수 있다. 설치 된 아파치 서비스를 시작 하려면 다음을 사용 합니다. 기본적으로 모든 Apache 서비스가 시스템 사용자 (LocalSystem 계정)로 실행 되도록 등록 됩니다. LocalSystem 계정에는 파일 시스템, 명명 된 파이프, DCOM 또는 보안 RPC를 포함 하 여 모든 Windows 보안 메커니즘을 통해 네트워크에 대 한 권한이 없습니다. 그러나 로컬에서 폭넓은 권한을 가집니다. 아파치는 서비스로 실행 하는 경우, 당신은 다른 콘솔 창을 열고 입력 하 여 중지 할 수 있습니다: 아파치 서비스를 시작 하는 데 문제가 있는 경우이 일반 오류를 얻을 것 이다. 실제로 문제를 일으키는 것을 확인 하기 위해 명령 프롬프트에서 Windows 용 아파치를 실행 하기 위한 지침을 따라야 합니다.

컴파일 및 설치 프로세스의 각 섹션은 Apache 아파치를 컴파일하고 설치 하기 위한 요구 사항부터 시작 하 여 아래에서 자세히 설명 합니다. 당신이가지고 있는 가능성의 짧은 인상을 위해, 여기에 특정 컴파일러와 플래그 플러스 두 개의 추가 모듈 mod_ldap 및 mod_lua와 설치 트리/sw/pkg/아파치에 대 한 아파치를 컴파일하고 전형적인 예입니다: 아파치는 공유 할 수 없기 때문에 다른 TCP/IP 애플리케이션과 동일한 포트를 사용 하려면 Apache를 실행 하기 전에 다른 특정 서비스를 중지, 제거 또는 재구성 해야 할 수 있습니다. 이러한 충돌 서비스에는 다른 WWW 서버, 일부 방화벽 구현 및 포트 80를 사용 하 여 방화벽 문제를 우회 하려고 하는 일부 클라이언트 응용 프로그램 (예: Skype)도 포함 됩니다. Apache가 현재 작업을 끝내 고 정상적으로 정리할 수 있기 때문에 콘솔 창에서 서비스로 실행 하는 것이 좋습니다. 혹시 신뢰할 수 있는 크로스 플랫폼 서버를 필요로 한 경우, 당신은 몇 년 동안 그물에 가장 인기 있는 오픈 소스 서버에 되고있다 아파치 HTTP 서버 보다 더 이상 볼 수 없습니다. 접두어/문서/설명서에서 아파치 매뉴얼을 살펴 또는이 설명서의 최신 버전과 사용 가능한 구성 지시문의 전체 참조 http://httpd.apache.org/docs/2.4/에 문의 하십시오.

Comments

Comments are closed.